caoss.simulator.console

## Class ShutdownCommand

- java.lang.Object
- - caoss.simulator.console.ConsoleCommand
  - - caoss.simulator.console.ShutdownCommand

-     public class ShutdownCommand
      extends ConsoleCommand

  Implementation of the "shutdown" command
  Author:
    Herve Paulino

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommandName()` The name that the user must use to invoke the command
    `int` | `getNumberArguments()` Obtain the command's number of mandatory arguments
    `int` | `getNumberOptionalArguments()` Obtain the command's number of optional arguments
    `void` | `run(java.util.List<java.lang.String> arguments)` Shuts down the simulator
    `java.lang.String` | `usage()` A string representation of the command's usage.

    - ### Methods inherited from class caoss.simulator.console.ConsoleCommand

      `checkNumberArguments`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShutdownCommand

          public ShutdownCommand()

  - ### Method Detail

    - #### run

          public void run(java.util.List<java.lang.String> arguments)

      Shuts down the simulator
      Specified by:
        `run` in class `ConsoleCommand`
      Parameters:
        `arguments` - List of arguments that the command receives

    - #### getCommandName

          public java.lang.String getCommandName()

      Description copied from class: `ConsoleCommand`
      The name that the user must use to invoke the command
      Specified by:
        `getCommandName` in class `ConsoleCommand`
      Returns:
        The name of the command

    - #### getNumberArguments

          public int getNumberArguments()

      Description copied from class: `ConsoleCommand`
      Obtain the command's number of mandatory arguments
      Specified by:
        `getNumberArguments` in class `ConsoleCommand`
      Returns:
        The number of arguments

    - #### getNumberOptionalArguments

          public int getNumberOptionalArguments()

      Description copied from class: `ConsoleCommand`
      Obtain the command's number of optional arguments
      Specified by:
        `getNumberOptionalArguments` in class `ConsoleCommand`
      Returns:
        The number of arguments

    - #### usage

          public java.lang.String usage()

      Description copied from class: `ConsoleCommand`
      A string representation of the command's usage. Posted by the console's `help` command.
      Specified by:
        `usage` in class `ConsoleCommand`
      Returns:
        The string representation of the command's usage.